package com.imofan.android.pns;

import java.io.IOException;
import java.io.Reader;

/**
 *
 */
public class XmppReader extends Reader {
    private final static String LOG_TAG = "Mofang_PNS_XmppReader";

    Reader wrappedReader = null;

    public XmppReader(Reader wrappedReader) {
        this.wrappedReader = wrappedReader;
    }

    public int read(char[] cbuf, int off, int len) throws IOException {
        PNService.updateLastReadTime();
        return wrappedReader.read(cbuf, off, len);
    }

    public void close() throws IOException {
        wrappedReader.close();
    }

    public int read() throws IOException {
        return wrappedReader.read();
    }

    public int read(char cbuf[]) throws IOException {
        return wrappedReader.read(cbuf);
    }

    public long skip(long n) throws IOException {
        return wrappedReader.skip(n);
    }

    public boolean ready() throws IOException {
        return wrappedReader.ready();
    }

    public boolean markSupported() {
        return wrappedReader.markSupported();
    }

    public void mark(int readAheadLimit) throws IOException {
        wrappedReader.mark(readAheadLimit);
    }

    public void reset() throws IOException {
        wrappedReader.reset();
    }
}
